> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search available to buy subnets

> Returns available to buy subnets by given filters



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/market/ipv4
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/ipv4:
    get:
      tags:
        - Market
      summary: Search available to buy subnets
      description: Returns available to buy subnets by given filters
      operationId: API-Pub-Market-IPV4-Search
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: cidr
          in: query
          description: CIDR
          required: true
          schema:
            maximum: 24
            minimum: 8
            type: integer
        - name: registrar_uuids[]
          in: query
          description: Array of Registrar UUIDs
          schema:
            maxLength: 24
            minLength: 24
            pattern: ^[a-z0-9]{24}$
            type: string
        - name: reservation_id
          in: query
          description: Commitment Reservation ID
          schema:
            type: string
        - name: limit
          in: query
          description: Limit results to this number
          schema:
            maximum: 1000
            minimum: 10
            type: integer
            default: 100
        - name: sort
          in: query
          description: Sort. If prefixed with a dash, sorts descending
          schema:
            type: array
            items:
              enum:
                - price
                - '-price'
                - address
                - '-address'
              type: string
        - name: price
          in: query
          description: Look for subnets with exact price
          schema:
            minimum: 0
            type: number
            format: float
        - name: price_min
          in: query
          description: >-
            Look for subnets above or equal this price. Cannot be used if
            'price' parameter is given
          schema:
            minimum: 0
            type: number
            format: float
        - name: price_max
          in: query
          description: >-
            Look for subnets below or equal this price. Cannot be used if
            'price' parameter is given
          schema:
            minimum: 0
            type: number
            format: float
        - name: geo_databases
          in: query
          description: Specify which databases to check for city/country filters
          schema:
            type: array
            items:
              enum:
                - maxmind
                - ip2location
                - dbip
                - ipinfo
              type: string
        - name: geo_country_code
          in: query
          description: Search subnets by country code
          schema:
            maxLength: 2
            minLength: 2
            type: string
        - name: geo_city_name
          in: query
          description: Search subnets by city name
          schema:
            type: string
        - name: octets
          in: query
          description: Search subnets by octets
          schema:
            maxItems: 4
            minItems: 1
            type: array
            items:
              type: integer
        - name: registry
          in: query
          description: Registrar Name. Optional registrar_uuids or registry.
          schema:
            enum:
              - RIPENCC
              - LACNIC
              - AFRINIC
              - ARIN
              - APNIC
            type: string
        - name: wants_to_negotiate
          in: query
          description: Search subnets by wants to negotiate
          schema:
            type: boolean
        - name: address
          in: query
          description: Address
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.IPMarket.IPMarketIPV4Collection
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Resources.IPMarket.IPMarketIPV4Collection: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````